function test_matpower(verbose)
%TEST_MATPOWER  Run all MATPOWER tests.
%   test_matpower runs all of the MATPOWER tests.
%   test_matpower(verbose) prints the details of the individual tests
%   if verbose is true.

%   MATPOWER
%   $Id: test_matpower.m,v 1.11 2007/06/15 16:54:21 ray Exp $
%   by Ray Zimmerman, PSERC Cornell
%   Copyright (c) 2004 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/matpower/ for more info.

if nargin < 1
    verbose = 0;
end

test_list = {   't_loadcase', ...
                't_jacobian', ...
                't_hasPQcap', ...
                't_pf', ...
                't_opf_fmincon', ...
                't_opf_minopf', ...
                't_opf_pdipm', ...
                't_opf_scpdipm', ...
                't_opf_tralm', ...
                't_opf_constr', ...
                't_opf_lp', ...
                't_opf_dc', ...
                't_makePTDF', ...
                't_off2case', ...
                't_auction_minopf', ...
                't_auction_pdipm', ...
                't_runmarket'
            };

t_run_tests( test_list, verbose );

return;
